﻿--
-- Script was generated by Devart dbForge Studio for MySQL, Version 8.0.40.0
-- Product home page: http://www.devart.com/dbforge/mysql/studio
-- Script date 18/03/2019 11:04:34
-- Server version: 5.5.5-10.1.36-MariaDB
-- Client version: 4.1
--

-- 
-- Disable foreign keys
-- 
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;

-- 
-- Set SQL mode
-- 
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;

-- 
-- Set character set the client will use to send SQL statements to the server
--
SET NAMES 'utf8';

DROP DATABASE IF EXISTS atletismo;

CREATE DATABASE IF NOT EXISTS atletismo
CHARACTER SET latin1
COLLATE latin1_swedish_ci;

--
-- Set default database
--
USE atletismo;

--
-- Create table `tiposdeprueba`
--
CREATE TABLE IF NOT EXISTS tiposdeprueba (
  codtip int(11) NOT NULL AUTO_INCREMENT,
  desttip char(30) DEFAULT NULL,
  PRIMARY KEY (codtip)
)
ENGINE = INNODB,
CHARACTER SET latin1,
COLLATE latin1_swedish_ci;

--
-- Create table `reunion`
--
CREATE TABLE IF NOT EXISTS reunion (
  codreu int(11) NOT NULL AUTO_INCREMENT,
  fechareu date DEFAULT NULL,
  lugarreu char(30) DEFAULT NULL,
  nombrereu char(30) DEFAULT NULL,
  PRIMARY KEY (codreu)
)
ENGINE = INNODB,
CHARACTER SET latin1,
COLLATE latin1_swedish_ci;

--
-- Create table `prueba`
--
CREATE TABLE IF NOT EXISTS prueba (
  cod int(11) NOT NULL AUTO_INCREMENT,
  codreu int(11) DEFAULT NULL,
  numpru int(11) DEFAULT NULL,
  codtip int(11) DEFAULT NULL,
  horapru datetime DEFAULT NULL,
  lugarpru char(30) DEFAULT NULL,
  PRIMARY KEY (cod)
)
ENGINE = INNODB,
CHARACTER SET latin1,
COLLATE latin1_swedish_ci;

--
-- Create index `pruebaunique1` on table `prueba`
--
ALTER TABLE prueba
ADD UNIQUE INDEX pruebaunique1 (codreu, numpru);

--
-- Create foreign key
--
ALTER TABLE prueba
ADD CONSTRAINT fkPruebaReunion FOREIGN KEY (codreu)
REFERENCES reunion (codreu) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Create foreign key
--
ALTER TABLE prueba
ADD CONSTRAINT fkPruebaTipos FOREIGN KEY (codtip)
REFERENCES tiposdeprueba (codtip) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Create table `deportista`
--
CREATE TABLE IF NOT EXISTS deportista (
  coddep int(11) NOT NULL AUTO_INCREMENT,
  nomapdep char(30) DEFAULT NULL,
  provinciadep char(30) DEFAULT NULL,
  fechanacimientodep date DEFAULT NULL,
  dnidep char(10) DEFAULT NULL,
  domiciliodep char(30) DEFAULT NULL,
  codposdep int(11) DEFAULT NULL,
  telefonodep char(14) DEFAULT NULL,
  PRIMARY KEY (coddep)
)
ENGINE = INNODB,
CHARACTER SET latin1,
COLLATE latin1_swedish_ci;

--
-- Create table `resultado`
--
CREATE TABLE IF NOT EXISTS resultado (
  cod int(11) NOT NULL AUTO_INCREMENT,
  inscripcion int(11) DEFAULT NULL,
  prueba int(11) DEFAULT NULL,
  coddep int(11) DEFAULT NULL,
  marcadep char(30) DEFAULT NULL,
  posdep char(30) DEFAULT NULL,
  PRIMARY KEY (cod)
)
ENGINE = INNODB,
CHARACTER SET latin1,
COLLATE latin1_swedish_ci;

--
-- Create index `resultadoUnique1` on table `resultado`
--
ALTER TABLE resultado
ADD UNIQUE INDEX resultadoUnique1 (inscripcion, prueba);

--
-- Create foreign key
--
ALTER TABLE resultado
ADD CONSTRAINT fkResultadoDep FOREIGN KEY (coddep)
REFERENCES deportista (coddep) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Create foreign key
--
ALTER TABLE resultado
ADD CONSTRAINT fkResultadoReunion FOREIGN KEY (prueba)
REFERENCES prueba (cod) ON DELETE CASCADE ON UPDATE CASCADE;

-- 
-- Dumping data for table tiposdeprueba
--
-- Table atletismo.tiposdeprueba does not contain any data (it is empty)

-- 
-- Dumping data for table reunion
--
-- Table atletismo.reunion does not contain any data (it is empty)

-- 
-- Dumping data for table prueba
--
-- Table atletismo.prueba does not contain any data (it is empty)

-- 
-- Dumping data for table deportista
--
-- Table atletismo.deportista does not contain any data (it is empty)

-- 
-- Dumping data for table resultado
--
-- Table atletismo.resultado does not contain any data (it is empty)

-- 
-- Restore previous SQL mode
-- 
/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;

-- 
-- Enable foreign keys
-- 
/*!40014 SET FOREIGN_KEY_CHECKS = @OLD_FOREIGN_KEY_CHECKS */;